import PIL as pillow
from PIL import Image
import subprocess, os, platform, sys

infile = sys.argv[len(sys.argv)-1]
outfile = infile[:infile.rfind('.')] + ".png"

if(os.path.exists(infile) == False):
    print("File %s not found. Aborting..." %infile)
    exit()

if(os.path.exists(outfile)):
    print("File %s already exists. Aborting..." %outfile)
    exit()

im = Image.open(infile)

im.save(outfile)

os.remove(infile)

if(platform.system() == 'Darwin'):       # macOS
    subprocess.call(('open', outfile))
elif(platform.system() == 'Windows'):    # Windows
    os.startfile(outfile)
else:                                    # linux variants
    subprocess.call(('xdg-open', outfile))